Bug 1604508 - klatexformula: FTBFS in Fedora rawhide
Summary: klatexformula: FTBFS in Fedora rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: klatexformula   
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 23:01 UTC by Mohan Boddu
Modified: 2018-09-30 01:09 UTC (History)
3 users (show)

Fixed In Version: klatexformula-4.0.0-3.fc29 klatexformula-4.0.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-29 22:01:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-19 23:01 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 23:02 UTC, Mohan Boddu
no flags Details
state.log (643 bytes, text/plain)
2018-07-19 23:02 UTC, Mohan Boddu
no flags Details
proposed patch (651 bytes, patch)
2018-08-24 05:51 UTC, Juhani Numminen
no flags Details | Diff

Description Mohan Boddu 2018-07-19 23:01:46 UTC
klatexformula failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28193989


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix klatexformula at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
klatexformula will be orphaned. Before branching of Fedora 30,
klatexformula will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 23:01:55 UTC
Created attachment 1463366 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-19 23:02:00 UTC
Created attachment 1463367 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 23:02:02 UTC
Created attachment 1463368 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:29:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Juhani Numminen 2018-08-24 05:51 UTC
Created attachment 1478395 [details]
proposed patch

Hi! I wrote this patch against debian's klatexformula 4.0.0, but given that the error messages are the same, this ought to do the trick. I've also forwarded this patch to https://sourceforge.net/p/klatexformula/bugs/41/.

Comment 6 Fedora Update System 2018-09-20 23:17:12 UTC
klatexformula-4.0.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7bb8231739

Comment 7 Fedora Update System 2018-09-20 23:17:19 UTC
klatexformula-4.0.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-be43dace45

Comment 8 Fedora Update System 2018-09-21 08:00:06 UTC
klatexformula-4.0.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7bb8231739

Comment 9 Fedora Update System 2018-09-21 08:48:17 UTC
klatexformula-4.0.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-be43dace45

Comment 10 Fedora Update System 2018-09-29 22:01:19 UTC
klatexformula-4.0.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-09-30 01:09:35 UTC
klatexformula-4.0.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.